<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ModalWizard.aspx.cs" Inherits="ModalWizard" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Modal Wizard</title>
<style type="text/css">
    body
    {
        font-family: Calibri, Verdana;
    }
    a:link, a:visited, a:active 
    {
        color: #000066;
        text-decoration: none;
    }
    .modalBackground 
    {
        background-color:Gray;
        filter:alpha(opacity=70);
        opacity:0.7;
    }
    .modalPopup 
    {
        background-color:#ffffff;
        width:600px;
    }
    .modalHeader
    {
        font-family: Calibri, Verdana;
        font-weight: bold;
        vertical-align: middle;
        padding-left: 3px;
        height: 24px;
        cursor: hand;
        color: #636973;
        background-image: url(./Images/SilverBarBackground.jpg);
        border-top: solid 2px #636973;
        border-left: solid 2px #636973;
        border-right: solid 2px #636973;
    }
    .modalHeaderImageButton
    {
        border: 0px;
        padding: 0px;
        margin-left: 0px;
        margin-bottom: 0px;
        margin-right: 3px;
        margin-top: 4px;
    }
    .modalContent
    {
        border: solid 2px #636973;
        padding: 5px;
    }
    .notThere
    {
        display: none;
    }
    .ActionButton
    {
        border: #8B8B8B 1px solid;
        font-size: 8pt;
        color: #000066;
        background-color: #F9F9F9;
        height:18;
        filter: progid:DXImageTransform.Microsoft.Gradient(gradientType=0,startColorStr=#F9F9F9,endColorStr=#B5B5B5);
        cursor: hand;
        width: 100px;
    }
    .sideBar
    {
        padding-right: 15px;
    }
</style>
</head>
<body>
    <form id="form1" runat="server">
        <ajax:ToolkitScriptManager ID="scriptManager" Runat="server" />
        <asp:LinkButton ID="lnkShowWizard" runat="server" Text="Show Wizard" />
        <p><strong>This text is unrelated to the popup.</strong></p>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Quisque sed felis. Aliquam sit amet felis. Mauris semper, velit semper laoreet dictum, quam diam dictum urna, nec placerat elit nisl in quam. Etiam augue pede, molestie eget, rhoncus at, convallis ut, eros. Aliquam pharetra. Nulla in tellus eget odio sagittis blandit. Maecenas at nisl. Nullam lorem mi, eleifend a, fringilla vel, semper at, ligula. Mauris eu wisi. Ut ante dui, aliquet nec, congue non, accumsan sit amet, lectus. Mauris et mauris. Duis sed massa id mauris pretium venenatis. Suspendisse cursus velit vel ligula. Mauris elit. Donec neque. Phasellus nec sapien quis pede facilisis suscipit. Aenean quis risus sit amet eros volutpat ullamcorper. Ut a mi. Etiam nulla. Mauris interdum.</p>
        <p><strong>This text is unrelated to the popup.</strong></p>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Quisque sed felis. Aliquam sit amet felis. Mauris semper, velit semper laoreet dictum, quam diam dictum urna, nec placerat elit nisl in quam. Etiam augue pede, molestie eget, rhoncus at, convallis ut, eros. Aliquam pharetra. Nulla in tellus eget odio sagittis blandit. Maecenas at nisl. Nullam lorem mi, eleifend a, fringilla vel, semper at, ligula. Mauris eu wisi. Ut ante dui, aliquet nec, congue non, accumsan sit amet, lectus. Mauris et mauris. Duis sed massa id mauris pretium venenatis. Suspendisse cursus velit vel ligula. Mauris elit. Donec neque. Phasellus nec sapien quis pede facilisis suscipit. Aenean quis risus sit amet eros volutpat ullamcorper. Ut a mi. Etiam nulla. Mauris interdum.</p>
        <p><strong>This text is unrelated to the popup.</strong></p>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Quisque sed felis. Aliquam sit amet felis. Mauris semper, velit semper laoreet dictum, quam diam dictum urna, nec placerat elit nisl in quam. Etiam augue pede, molestie eget, rhoncus at, convallis ut, eros. Aliquam pharetra. Nulla in tellus eget odio sagittis blandit. Maecenas at nisl. Nullam lorem mi, eleifend a, fringilla vel, semper at, ligula. Mauris eu wisi. Ut ante dui, aliquet nec, congue non, accumsan sit amet, lectus. Mauris et mauris. Duis sed massa id mauris pretium venenatis. Suspendisse cursus velit vel ligula. Mauris elit. Donec neque. Phasellus nec sapien quis pede facilisis suscipit. Aenean quis risus sit amet eros volutpat ullamcorper. Ut a mi. Etiam nulla. Mauris interdum.</p>
        <asp:Panel ID="Popup1" runat="server" CssClass="modalPopup" style="display: none;">
            <asp:Panel ID="PopupHeader1" runat="server" CssClass="modalHeader">
                <span style="float: left;">
                    Get User Information
                </span>
                <span style="float: right;">
                    <asp:ImageButton ID="PopupClose1" runat="server" ImageUrl="~/Images/SilverCloseButton.jpg" 
                        Height="17" Width="18" CssClass="modalHeaderImageButton" />
                </span>
            </asp:Panel>
            <asp:Panel ID="PopupContent1" runat="server" CssClass="modalContent">
                <asp:UpdatePanel ID="UpdateContent1" runat="server">
                <ContentTemplate>
                    <asp:Wizard ID="Wizard1" runat="server"
                        SideBarStyle-VerticalAlign="Top" 
                        SideBarStyle-CssClass="sideBar">
                        <CancelButtonStyle CssClass="ActionButton" />
                        <NavigationButtonStyle CssClass="ActionButton" />
                        <WizardSteps>
                            <asp:WizardStep runat="server" Title="Personal Info">
                                <table>
                                <tr>
                                    <td>First Name</td>
                                    <td><asp:TextBox ID="FirstName" runat="server" /></td>
                                    <td>
                                        <asp:RequiredFieldValidator runat="server"
                                            ControlToValidate="FirstName" 
                                            Text="Please enter a first name." />
                                    </td>
                                </tr>
                                <tr>
                                    <td>Last Name</td>
                                    <td><asp:TextBox ID="LastName" runat="server" /></td>
                                    <td>
                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server"
                                            ControlToValidate="LastName" 
                                            Text="Please enter a last name." />
                                    </td>
                                </tr>
                                </table>
                            </asp:WizardStep>
                            <asp:WizardStep runat="server" Title="Address">
                                <table>
                                <tr>
                                    <td>Address</td>
                                    <td><asp:TextBox ID="Address1" runat="server" /></td>
                                    <td>
                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server"
                                            ControlToValidate="Address1" 
                                            Text="Please enter a street address." />
                                    </td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td><asp:TextBox ID="Address2" runat="server" /></td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td>City</td>
                                    <td><asp:TextBox ID="City" runat="server" /></td>
                                    <td>
                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server"
                                            ControlToValidate="City" 
                                            Text="Please enter a city." />
                                    </td>
                                </tr>
                                <tr>
                                    <td>State</td>
                                    <td><asp:TextBox ID="State" runat="server" MaxLength="2" /></td>
                                    <td>
                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server"
                                            ControlToValidate="State" 
                                            Text="Please enter a state." />
                                    </td>
                                </tr>
                                <tr>
                                    <td>Zip</td>
                                    <td><asp:TextBox ID="Zip" runat="server" MaxLength="5" /></td>
                                    <td>
                                        <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server"
                                            ControlToValidate="Zip" 
                                            Text="Please enter a zip." />
                                    </td>
                                </tr>
                                </table>
                            </asp:WizardStep>
                            <asp:WizardStep runat="server" Title="Complete" StepType="Complete">
                                Thank you for completing the wizard.  Please click Exit Wizard to continue.
                                <br />
                                <asp:Button CssClass="ActionButton" ID="OkButton" runat="server" OnClientClick="document.getElementById('PopupOk1').click(); return false;" Text="Exit Wizard" />
                            </asp:WizardStep>
                        </WizardSteps>
                    </asp:Wizard>
                
                </ContentTemplate>
                </asp:UpdatePanel>
                <asp:Button CssClass="notThere" ID="PopupOk1" runat="server" Text="OK" OnClick="Ok_ButtonClick" /> 
            </asp:Panel>
        </asp:Panel>
        <ajax:ModalPopupExtender ID="PopupExtender" runat="server" 
            TargetControlID="lnkShowWizard"
            PopupControlID="Popup1" 
            BackgroundCssClass="modalBackground" 
            OkControlID="PopupOk1"
            CancelControlID="PopupClose1" 
            DropShadow="true"
            PopupDragHandleControlID="PopupHeader1" Drag="true"
            OnOkScript="__doPostBack('PopupOk1', '');" />
    </form>
</body>
</html>
