﻿<%@ Page Language="C#"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {
        //setup the AJAX call on the dropdown
        ddlMakes.Attributes.Add("onchange", "javascript:createAjaxRequest('getModels.aspx', '?make=' + " + ddlMakes.ClientID + ".value);");

    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>

</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:DropDownList ID="ddlMakes" runat="server">
            <asp:ListItem Value="blank">Select a Make</asp:ListItem>
            <asp:ListItem>BMW</asp:ListItem>
            <asp:ListItem>Mercedes</asp:ListItem>
            <asp:ListItem>Porsche</asp:ListItem>
        </asp:DropDownList>
        <asp:DropDownList ID="ddlModels" runat="server">
        </asp:DropDownList>
    </div>
    </form>
    <script type="text/javascript">
    //Section 1
    var http_request = false;

    function createAjaxRequest(url, parameters) {
      http_request = createHttpRequestObject();
      
      if (!http_request) {
         alert('Error creating XMLHTTP object');
         return false;
      }
      http_request.onreadystatechange = getResponse;
      http_request.open('GET', url + parameters, true);
      http_request.send(null);
    }

    //Section 2
    function createHttpRequestObject(){
        var request;
        if (window.XMLHttpRequest) { // IE7, Mozilla, Safari, etc.
             request = new XMLHttpRequest();
             if (request.overrideMimeType) {
                request.overrideMimeType('text/xml');
             }
          } else if (window.ActiveXObject) { // IE 6 and previous
             try {
                request = new ActiveXObject("Msxml2.XMLHTTP");
             } catch (e) {
                try {
                   request = new ActiveXObject("Microsoft.XMLHTTP");
                } catch (e) {}
             }
          }
          return request;
    }

    //Section 3
    function getResponse() {
      if (http_request.readyState == 4) {
         if (http_request.status == 200) {
            //get dropdown
            var ddl = document.forms[0].<%=this.ddlModels.ClientID %>;
            
            //clear items in dropdown
            ddl.options.length = 0;
            
            //get the XML response and loop elements
            var xmldoc = http_request.responseXML;
            var cars = xmldoc.getElementsByTagName('car');
            for(i=0; i<cars.length; i++){
                //add items to the dropdown
                try{
                    var opt = new Option(cars[i].firstChild.nodeValue, cars[i].firstChild.nodeValue);
                    ddl.add(opt, i);
                }
                catch (e){
                    ddl.length=0;
                }
            }
            http_request = null;
         } 
         else {
            alert('There was a problem with the request.');
         }
      }
    }

</script>
</body>
</html>
