﻿using System;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;

[ServiceContract]
[AspNetCompatibilityRequirements(RequirementsMode=AspNetCompatibilityRequirementsMode.Allowed)]
public class MyMathService
{
	// Add [WebGet] attribute to use HTTP GET
	[OperationContract]
	public int AddNumbers(int x, int y)
	{
        System.Threading.Thread.Sleep(2000);
        return x + y;
	}

    [OperationContract]
    public Employee GetEmployeeByID(int EmpID)
    {
        return new Employee(1234);
    }

}

[DataContract]
public class Employee
{
    private string _firstName = "na";
    private string _lastName;

    public string FirstName
    {
        get { return this._firstName; }
    }

    public string LastName
    {
        get { return this._lastName; }
    }

    public Employee(int empID)
    {
        if (empID == 1234)
        {
            _firstName = "Rob";
            _lastName = "Foster";
        }
        else
        {
            _firstName = "NOT FOUND";
            _lastName = "NOT FOUND";
        }
    }
}
