<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ModalPopup.aspx.cs" Inherits="ModalPopup" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Modal Popup</title>
    <style type="text/css">
        .modalBackground 
        {
	        background-color:Gray;
	        filter:alpha(opacity=70);
	        opacity:0.7;
        }
        .modalPopup 
        {
	        background-color:#ffffff;
	        width:500px;
        }
        .modalHeader
        {
            font-family: Calibri, Verdana;
            font-weight: bold;
            vertical-align: middle;
            padding-left: 3px;
            height: 24px;
            cursor: hand;
            color: #636973;
            background-image: url(./Images/SilverBarBackground.jpg);
            border-top: solid 2px #636973;
            border-left: solid 2px #636973;
            border-right: solid 2px #636973;
        }
        .modalHeaderImageButton
        {
            border: 0px;
            padding: 0px;
            margin-left: 0px;
            margin-bottom: 0px;
            margin-right: 3px;
            margin-top: 4px;
        }
        .modalContent
        {
            border: solid 2px #636973;
            padding: 5px;
        }
        .ActionButton
        {
	        border: #8B8B8B 1px solid;
	        font-size: 8pt;
	        color: #000066;
	        background-color: #F9F9F9;
	        height:18;
            filter: progid:DXImageTransform.Microsoft.Gradient(gradientType=0,startColorStr=#F9F9F9,endColorStr=#B5B5B5);
            cursor: hand;
            width: 100px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <ajax:ToolkitScriptManager ID="scriptManager" Runat="server" />
        <asp:LinkButton ID="link1" runat="server" Text="See Popup" />
        <p><strong>This text is unrelated to the popup.</strong></p>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Quisque sed felis. Aliquam sit amet felis. Mauris semper, velit semper laoreet dictum, quam diam dictum urna, nec placerat elit nisl in quam. Etiam augue pede, molestie eget, rhoncus at, convallis ut, eros. Aliquam pharetra. Nulla in tellus eget odio sagittis blandit. Maecenas at nisl. Nullam lorem mi, eleifend a, fringilla vel, semper at, ligula. Mauris eu wisi. Ut ante dui, aliquet nec, congue non, accumsan sit amet, lectus. Mauris et mauris. Duis sed massa id mauris pretium venenatis. Suspendisse cursus velit vel ligula. Mauris elit. Donec neque. Phasellus nec sapien quis pede facilisis suscipit. Aenean quis risus sit amet eros volutpat ullamcorper. Ut a mi. Etiam nulla. Mauris interdum.</p>
        <p><strong>This text is unrelated to the popup.</strong></p>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Quisque sed felis. Aliquam sit amet felis. Mauris semper, velit semper laoreet dictum, quam diam dictum urna, nec placerat elit nisl in quam. Etiam augue pede, molestie eget, rhoncus at, convallis ut, eros. Aliquam pharetra. Nulla in tellus eget odio sagittis blandit. Maecenas at nisl. Nullam lorem mi, eleifend a, fringilla vel, semper at, ligula. Mauris eu wisi. Ut ante dui, aliquet nec, congue non, accumsan sit amet, lectus. Mauris et mauris. Duis sed massa id mauris pretium venenatis. Suspendisse cursus velit vel ligula. Mauris elit. Donec neque. Phasellus nec sapien quis pede facilisis suscipit. Aenean quis risus sit amet eros volutpat ullamcorper. Ut a mi. Etiam nulla. Mauris interdum.</p>
        <p><strong>This text is unrelated to the popup.</strong></p>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Quisque sed felis. Aliquam sit amet felis. Mauris semper, velit semper laoreet dictum, quam diam dictum urna, nec placerat elit nisl in quam. Etiam augue pede, molestie eget, rhoncus at, convallis ut, eros. Aliquam pharetra. Nulla in tellus eget odio sagittis blandit. Maecenas at nisl. Nullam lorem mi, eleifend a, fringilla vel, semper at, ligula. Mauris eu wisi. Ut ante dui, aliquet nec, congue non, accumsan sit amet, lectus. Mauris et mauris. Duis sed massa id mauris pretium venenatis. Suspendisse cursus velit vel ligula. Mauris elit. Donec neque. Phasellus nec sapien quis pede facilisis suscipit. Aenean quis risus sit amet eros volutpat ullamcorper. Ut a mi. Etiam nulla. Mauris interdum.</p>
        <asp:Panel ID="popup1" runat="server" CssClass="modalPopup" style="display: none;">
            <asp:Panel ID="popupHeader1" runat="server" CssClass="modalHeader">
                <span style="float: left;">
                    Popup Title Bar
                </span>
                <span style="float: right;">
                    <asp:ImageButton ID="popupClose1" runat="server" ImageUrl="~/Images/SilverCloseButton.jpg" 
                        Height="17" Width="18" CssClass="modalHeaderImageButton" />
                </span>
            </asp:Panel>
            <asp:Panel ID="popupContent1" runat="server" CssClass="modalContent">
                Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Quisque sed felis. Aliquam sit amet felis. Mauris semper, velit semper laoreet dictum, quam diam dictum urna, nec placerat elit nisl in quam. Etiam augue pede, molestie eget, rhoncus at, convallis ut, eros. Aliquam pharetra. Nulla in tellus eget odio sagittis blandit. Maecenas at nisl. Nullam lorem mi, eleifend a, fringilla vel, semper at, ligula. Mauris eu wisi. Ut ante dui, aliquet nec, congue non, accumsan sit amet, lectus. Mauris et mauris. Duis sed massa id mauris pretium venenatis. Suspendisse cursus velit vel ligula. Mauris elit. Donec neque. Phasellus nec sapien quis pede facilisis suscipit. Aenean quis risus sit amet eros volutpat ullamcorper. Ut a mi. Etiam nulla. Mauris interdum.
                
                <div style="text-align: center; padding-bottom: 5px; padding-top: 10px;">
                    <asp:Button CssClass="ActionButton" ID="OkButton" runat="server" Text="OK" />
                    &nbsp;
                    <asp:Button CssClass="ActionButton" ID="CancelButton" runat="server" Text="Cancel" OnClientClick="document.getElementById('popupClose1').click(); return false;" />
                </div>
            </asp:Panel>
        </asp:Panel>
        <ajax:ModalPopupExtender ID="popupExtender" runat="server" 
            TargetControlID="link1"
            PopupControlID="popup1" 
            BackgroundCssClass="modalBackground" 
            OkControlID="OkButton"
            CancelControlID="popupClose1" 
            DropShadow="true"
            PopupDragHandleControlID="popupHeader1" Drag="true" />
    </form>
</body>
</html>
