﻿/// <reference name="MicrosoftAjax.js"/>

Type.registerNamespace("FocusExtender");

FocusExtender.ClientBehavior1 = function(element) {
    FocusExtender.ClientBehavior1.initializeBase(this, [element]);

    this._FocusCSSClass = null;
    this._NoFocusCSSClass = null;
    
}

FocusExtender.ClientBehavior1.prototype = {
    initialize: function() {
        FocusExtender.ClientBehavior1.callBaseMethod(this, 'initialize');

        // Add custom initialization here
        $addHandlers(this.get_element(), {'focus': this._onFocus, 'blur': this._onBlur}, this)
                
    },
    dispose: function() {        
        //Add custom dispose actions here
        FocusExtender.ClientBehavior1.callBaseMethod(this, 'dispose');
    },
    _onFocus: function(e) {
        if (this.get_element() && !this.get_element().disabled) {
            this.get_element().className = this._FocusCSSClass;          
        }

    },
    
    _onBlur: function(e) {
        if (this.get_element() && !this.get_element().disabled) {
            this.get_element().className = this._NoFocusCSSClass;          
        }
    }, 
    
    get_FocusCSSClass : function() {
        return this._FocusCSSClass;
    },

    set_FocusCSSClass : function(value) {
        this._FocusCSSClass = value;
    },
    
    get_NoFocusCSSClass : function() {
        return this._NofocusCSSClass;
    },

    set_NoFocusCSSClass : function(value) {
        this._NofocusCSSClass = value;
    }
}
FocusExtender.ClientBehavior1.registerClass('FocusExtender.ClientBehavior1', Sys.UI.Behavior);

if (typeof(Sys) !== 'undefined') Sys.Application.notifyScriptLoaded();