﻿<%@ Control Language="C#" ClassName="ucCustomerOrders" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat="server">
    private string _customerID = string.Empty;
    
    public UpdatePanelUpdateMode UpdateMode
    {
        get { return this.upCustomerOrders.UpdateMode; }
        set { this.upCustomerOrders.UpdateMode = value; }
    }

    public void Update()
    {
        this.upCustomerOrders.Update();
    }

    public string CustomerID
    {
        get { return this._customerID; }
        set { this._customerID = value; }
    }


    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.Page.IsPostBack)
        {
        }
    }

    public void BindGrid()
    {
        SqlConnection cn = new SqlConnection("Data Source=localhost;Initial Catalog=Northwind;User ID=sa;Password=password;");
        SqlCommand cmd = new SqlCommand("CustomerOrders_sel", cn);
        cmd.CommandType = System.Data.CommandType.StoredProcedure;
        cmd.Parameters.Add(new SqlParameter("@CustomerID", this._customerID));
        SqlDataAdapter adp = new SqlDataAdapter(cmd);
        DataSet ds = new DataSet();
        try
        {
            adp.Fill(ds);
            this.gvOrders.DataSource = ds.Tables[0].DefaultView;
        }
        finally
        {
            adp.Dispose();
            cmd.Dispose();
            cn.Dispose();
        }
        this.gvOrders.DataBind();

    }    
</script>
<asp:UpdatePanel ID="upCustomerOrders" runat="server">
    <ContentTemplate>
        <asp:GridView ID="gvOrders" runat="server" BackColor="LightGoldenrodYellow" 
            BorderColor="Tan" BorderWidth="1px" CellPadding="2" ForeColor="Black" 
            GridLines="None">
            <footerstyle backcolor="Tan" />
            <pagerstyle backcolor="PaleGoldenrod" forecolor="DarkSlateBlue" 
                horizontalalign="Center" />
            <selectedrowstyle backcolor="DarkSlateBlue" forecolor="GhostWhite" />
            <headerstyle backcolor="Tan" font-bold="True" />
            <alternatingrowstyle backcolor="PaleGoldenrod" />
        </asp:GridView>
    </ContentTemplate>
</asp:UpdatePanel>


