﻿<%@ Control Language="C#" ClassName="ucCustomers" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="System.Web.UI" %>
<%@ Import Namespace="System.Web.UI.WebControls" %>
<script runat="server">
    
    public UpdatePanelUpdateMode UpdateMode
    {
        get { return this.upCustomers.UpdateMode; }
        set { this.upCustomers.UpdateMode = value; }
    }

    public void Update()
    {
        this.upCustomers.Update();
    }

    public string CustomerID
    {
        get { return this.ddlCustomers.SelectedValue; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.Page.IsPostBack)
        {
            SqlConnection cn = new SqlConnection("Data Source=localhost;Initial Catalog=Northwind;User ID=sa;Password=password;");
            SqlCommand cmd = new SqlCommand("Customers_sel", cn);
            cmd.CommandType = System.Data.CommandType.StoredProcedure;
            SqlDataAdapter adp = new SqlDataAdapter(cmd);
            DataSet ds = new DataSet();
            try
            {
                adp.Fill(ds);
                this.ddlCustomers.DataSource = ds.Tables[0].DefaultView;
                this.ddlCustomers.DataValueField = "CustomerID";
                this.ddlCustomers.DataTextField = "CompanyName";
            }
            finally
            {
                adp.Dispose();
                cmd.Dispose();
                cn.Dispose();
            }
            this.ddlCustomers.DataBind();
            this.ddlCustomers.Items.Insert(0, "Select a customer");
        }
    }

    public event EventHandler SelectedIndexChanged;

    protected void indexChanged(object sender, EventArgs e)
    {
        if (SelectedIndexChanged != null)
        {
            SelectedIndexChanged(this, e);
        }
    }
</script>

<asp:UpdatePanel ID="upCustomers" runat="server">
    <ContentTemplate>
        <table>
            <tr>
                <td>Select Customer:</td>
                <td><asp:DropDownList runat="server" ID="ddlCustomers" AutoPostBack="true" OnSelectedIndexChanged="indexChanged" ></asp:DropDownList></td>
            </tr>
        </table>        
    </ContentTemplate>
</asp:UpdatePanel>
